
Figure - Bug #117735
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试48小时，出现CRASH: com.android.systemui（4）
2023-05-04 10:38 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-04

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0098.C103(X103)

Reproducibility: Rarely Fixed Version: 2023-05-05

Test Type: Monkey Test Root cause: 未定义默认资源导致，已添加默认资源文件

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 2500000 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

CRASH: com.android.systemui (pid 1882)

// Short Msg: android.content.res.Resources$NotFoundException

// Long Msg: android.content.res.Resources$NotFoundException: Resource ID #0x7f080303

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3052:user/test-keys

// Build Changelist: 3052

// Build Time: 1682619940000

// android.content.res.Resources$NotFoundException: Resource ID #0x7f080303

//     at android.content.res.ResourcesImpl.getValueForDensity(ResourcesImpl.java:234)

//     at android.content.res.Resources.getDrawableForDensity(Resources.java:982)

//     at android.content.res.Resources.getDrawable(Resources.java:922)

//     at android.content.Context.getDrawable(Context.java:753)

//     at com.android.systemui.settings.brightness.BrightnessSliderView.updateThumb(BrightnessSliderView.java:136)

//     at com.android.systemui.settings.brightness.BrightnessSlider.updateThumb(BrightnessSlider.java:206)

//     at com.android.systemui.settings.brightness.BrightnessController.brightnessHandle(BrightnessController.java:395)

//     at com.android.systemui.settings.brightness.BrightnessController.onChanged(BrightnessController.java:369)

//     at com.android.systemui.settings.brightness.BrightnessSlider$2.onProgressChanged(BrightnessSlider.java:214)

//     at android.widget.SeekBar.onProgressRefresh(SeekBar.java:99)

//     at android.widget.ProgressBar.doRefreshProgress(ProgressBar.java:1577)

//     at android.widget.ProgressBar.refreshProgress(ProgressBar.java:1686)

//     at android.widget.ProgressBar.setProgressInternal(ProgressBar.java:1752)

//     at android.widget.AbsSeekBar.onKeyDown(AbsSeekBar.java:1064)

//     at android.view.KeyEvent.dispatch(KeyEvent.java:2854)

//     at android.view.View.dispatchKeyEvent(View.java:14478)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)
//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at com.android.internal.policy.DecorView.superDispatchKeyEvent(DecorView.java:504)

//     at com.android.internal.policy.PhoneWindow.superDispatchKeyEvent(PhoneWindow.java:1880)

//     at android.app.Activity.dispatchKeyEvent(Activity.java:4193)

//     at com.android.internal.policy.DecorView.dispatchKeyEvent(DecorView.java:418)

//     at android.view.ViewRootImpl$ViewPostImeInputStage.processKeyEvent(ViewRootImpl.java:6293)

//     at android.view.ViewRootImpl$ViewPostImeInputStage.onProcess(ViewRootImpl.java:6159)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5641)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5829)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$AsyncInputStage.apply(ViewRootImpl.java:5886)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5862)

//     at android.view.ViewRootImpl$ImeInputStage.onFinishedInputEvent(ViewRootImpl.java:6020)

//     at android.view.inputmethod.InputMethodManager$PendingEvent.run(InputMethodManager.java:3158)

//     at android.view.inputmethod.InputMethodManager.invokeFinishedInputEventCallback(InputMethodManager.java:2722)

//     at android.view.inputmethod.InputMethodManager.finishedInputEvent(InputMethodManager.java:2713)

//     at android.view.inputmethod.InputMethodManager$ImeInputEventSender.onInputEventFinished(InputMethodManager.java:3135)

//     at android.view.InputEventSender.dispatchInputEventFinished(InputEventSender.java:154)

//     at android.os.MessageQueue.nativePollOnce(Native Method)

//     at android.os.MessageQueue.next(MessageQueue.java:335)

//     at android.os.Looper.loopOnce(Looper.java:161)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

History

#1 - 2023-05-04 10:39 - CD TEST-方永红

- Subject changed from 【AF】【EVT3】【Monkey】Monkey测试48小时，出现com.android.systemui（4） to 【AF】【EVT3】【Monkey】Monkey测试48小

时，出现CRASH: com.android.systemui（4）

#2 - 2023-05-04 10:54 - CD APP-王营

- Category changed from CD-APP to CD-FW

- Assignee changed from CD APP-王营 to CD FW 曹覃刚

#3 - 2023-05-04 11:34 - CD TEST-方永红

- Severity changed from Normal to Critical

#4 - 2023-05-04 17:55 - IoT scm
Gerrit Merge Information：

ID Project Branch Uploader

197431 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:QuickSettings: add default resource definition for Brightness UITC-RID: 1201-0201903IssueID: TS-R-BUG-117735Change-Id:

Idbd71c2a4cc5ba7399214965608fea186b1411e0

#5 - 2023-05-04 17:56 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-05

- Root cause set to 未定义默认资源导致，已添加默认资源文件

#6 - 2023-05-08 17:21 - CD TEST-方永红

5.8

0095（带开机动画版未复现）

#7 - 2023-05-09 10:36 - CD TEST-方永红

5.9

0507DB未复现

#8 - 2023-05-10 11:00 - CD TEST-方永红

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0098.C103(X103)

5.10

0098版本未复现

先关闭

#9 - 2023-05-10 11:00 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#10 - 2023-05-10 11:00 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

error.txt 355 KB 2023-05-04 CD TEST-方永红

tlog_sts40x190067_000230_0504021636.tar.gz 7.52 MB 2023-05-04 CD TEST-方永红
